import * as z from 'zod';
export const ShoppingVendorAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    vendorName: z.number(),
    websiteUrl: z.number(),
    loginUsername: z.number(),
    loginPassword: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    vendorName: z.string().nullable(),
    websiteUrl: z.string().nullable(),
    loginUsername: z.string().nullable(),
    loginPassword: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    vendorName: z.string().nullable(),
    websiteUrl: z.string().nullable(),
    loginUsername: z.string().nullable(),
    loginPassword: z.string().nullable()
  }).nullable().optional()});